%define	name	libspf
%define	version	1.0.0
%define	release	0.RC1.1mdk
%define	major	1
%define libname	%mklibname spf %{major}

Summary:	A portable ANSI C implementation of the Sender Policy Framework library
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://libspf.org/
License:	BSD
Source0:	libspf-1_0_0-RC1.tar.bz2
Patch0:		libspf-1_0_0-static_fix.diff.bz2
Group:		System/Libraries
BuildConflicts:	libspf-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
libspf - Sender Permitted From library

ANSI C implementation of draft-mengwong-spf-02.9.7.txt

%package -n	%{libname}
Summary:	A portable ANSI C implementation of the Sender Policy Framework library
Group:		System/Libraries

%description -n	%{libname}
libspf - Sender Permitted From library

ANSI C implementation of draft-mengwong-spf-02.9.7.txt

%package -n	%{libname}-devel
Summary:	Development files for the %{name} library
Group:		Development/C
Provides:	%{name}-devel
Requires:	%{libname} = %{version}-%{release}

%description -n	%{libname}-devel
libspf - Sender Permitted From library

ANSI C implementation of draft-mengwong-spf-02.9.7.txt

This package contains the development library and its header files
for the libspf library.

%package -n	spfquery
Summary:	Sender Permitted From command line utility
Group:		System/Servers

%description -n	spfquery
Sender Permitted From command line utility

%prep

%setup -q -n libspf-1_0_0
%patch0 -p0

# cvs cleanup
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done
	
%build

# this is quite messy...

mkdir -p bin lib

make -C src/libspf \
    CFLAGS="%{optflags} -Wall -D_GNU_SOURCE -D_BSD_SOURCE -DDEBUG -fPIC"

ln -s %{name}.so.%{version} lib/%{name}.so.%{major}.0
ln -s %{name}.so.%{version} lib/%{name}.so.%{major}
ln -s %{name}.so.%{version} lib/%{name}.so

make -C src/spfquery \
    CFLAGS="%{optflags} -Wall -D_GNU_SOURCE -D_BSD_SOURCE -DDEBUG -fPIC" \
    CPPFLAGS="-I../libspf" \
    LDFLAGS="-L../../lib -lspf" \
    shared

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}/%{name}

install -m755 bin/spfquery-shared %{buildroot}%{_bindir}/spfquery
install -m755 lib/%{name}.so.%{version} %{buildroot}%{_libdir}/
install -m644 lib/%{name}.a %{buildroot}%{_libdir}/
install -m644 src/libspf/*.h %{buildroot}%{_includedir}/%{name}/

ln -s %{name}.so.%{version} %{buildroot}%{_libdir}/%{name}.so.%{major}.0
ln -s %{name}.so.%{version} %{buildroot}%{_libdir}/%{name}.so.%{major}
ln -s %{name}.so.%{version} %{buildroot}%{_libdir}/%{name}.so

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc CHANGELOG FAQ LICENSE README TODO
%{_libdir}/*.so.*

%files -n spfquery
%defattr(-,root,root)
%doc src/spfquery/INSTALL src/spfquery/test.pl src/spfquery/test.txt
%{_bindir}/spfquery

%files -n %{libname}-devel
%defattr(-,root,root)
%doc patches
%{_includedir}/%{name}
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Sun Jun 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.0-0.RC1.1mdk
- initial cooker contrib
